/**
 *******************************************************************************
 * @file    tmpm366_dmac_int.h
 * @brief   All interrupt request functions prototypes of DMAC
 *           for the TOSHIBA 'TMPM366' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM366_INT_H
#define __TMPM366_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM366.h"
#include "tmpm366_dmac.h"
#include "main.h"

#define BUFFER_SIZE  32U
/* external variables --------------------------------------------------------*/
extern uint8_t UART_Rx_Buffer[BUFFER_SIZE];
extern uint8_t UART_Rx_Cnt;
extern volatile WorkState TxEndFlag;

/* Private function prototypes -----------------------------------------------*/
void INTRX1_IRQHandler(void);
void INTDMAC0TC_IRQHandler(void);
void INTDMAC0ERR_IRQHandler(void);

#endif                          /* __TMPM366_INT_H */
