/** 
 *******************************************************************************
 * @file    main.h
 * @brief   The application functions of FUART_LoopBack demo for the
 *          TOSHIBA 'TMPM366' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm366_fuart.h"
#include "tmpm366_gpio.h"
#include "led.h"

typedef enum {
    DIFF = 0U,
    SAME = 1U
} TestResult;

extern void delay(uint32_t time);
void SW1_Init(void);
uint8_t SW1_Get(void);
void LED_TXDataDisplay(uint32_t dat);
void LED_RXDataDisplay(uint32_t state);
TestResult Buffercompare(const uint32_t * Src, const uint32_t * Dst, uint32_t Len);
void FUART_GPIOConfig(void);
void FUART_ChInit(void);

#define SW1_DOWN 1U
#define SW1_UP   0U
#define LED8_OFF 0x00000000
#define LED8_ON  ~LED8_OFF

#endif
