/**
 ******************************************************************************
 * @file     led.h
 * @brief    LED driver for the TOSHIBA 'TMPM366' Device Series
 * @version  V0.201
 * @date     2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
#ifndef __LED_H
#define __LED_H
/** include files **/
#include "TMPM366.h"
#include "tmpm366_gpio.h"

/** definitions **/

#define LED1 (1U<<0U)
#define LED2 (1U<<1U)
#define LED3 (1U<<2U)
#define LED4 (1U<<3U)
#define LED5 (1U<<4U)
#define LED6 (1U<<5U)
#define LED7 (1U<<6U)
#define LED8 (1U<<7U)

#define LED_DATA_PORT   GPIO_PA

/** public functions **/
/*************************************************************************
 * Function Name: LED_Init
 * Parameters:None
 *
 * Return:None  
 *
 * Description: Init LED ports
 *
 *************************************************************************/
void LEDInit(void);

/*************************************************************************
 * Function Name: LedOff
 * Parameters:LED number
 *
 * Return:None  
 *
 * Description: Led Digtit OFF, but others don't change
 *
 *************************************************************************/
void LedOff(uint8_t led);

/*************************************************************************
 * Function Name: LedOn
 * Parameters:LED number
 *
 * Return:None  
 *
 * Description: Led Digtit ON, but others don't change
 *
 *************************************************************************/
void LedOn(uint8_t led);

#endif                          /* __LED_H */
